package com.gyee.frame.util.golden.timeseries;

/**
 * @author songwb<songwb@aliyun.com>
 */
public class CoordinateTsData extends BasicTsData {

    private final Coordinate coordinate;

    public CoordinateTsData(long ts, short status, double latitude, double longitude) {
        super(ts, status);
        this.coordinate = new Coordinate(latitude, longitude);
    }

    public CoordinateTsData(long ts, short status, Coordinate coordinate) {
        super(ts, status);
        this.coordinate = coordinate;
    }

    public Coordinate getCoordinateValue() {
        return coordinate;
        //return String.format("{\"longitude\":%f,\"latitude\":\"%f\"}", longitude, latitude);
    }

}

